> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an Elastic IP

> Returns a single Elastic IP by its ID.

**Note:** This feature requires the `elastic_ips` feature flag to be enabled for your team.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /elastic_ips/{elastic_ip_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /elastic_ips/{elastic_ip_id}:
    get:
      tags:
        - Elastic Ips
      summary: Retrieve an Elastic IP
      description: >
        Returns a single Elastic IP by its ID.


        **Note:** This feature requires the `elastic_ips` feature flag to be
        enabled for your team.
      operationId: get-elastic-ip
      parameters:
        - name: elastic_ip_id
          in: path
          description: The Elastic IP ID
          required: true
          examples:
            Success:
              value: eip_KeQbB4BoO6x10
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: eip_KeQbB4BoO6x10
                      type: elastic_ips
                      attributes:
                        address: 177.54.156.7
                        family: IPv4
                        prefix_length: 32
                        mode: routed
                        status: active
                        created_at: '2026-02-24T17:06:28.108Z'
                        server:
                          id: sv_2GmAlJ6BXlK1a
                          hostname: my-server
                          primary_ipv4: 177.54.157.75
                        project:
                          id: proj_AoW6vRnwkvLn0
                          name: My Project
                          slug: my-project
                        region:
                          id: region_sa_sao_paulo
                          name: São Paulo
                          location:
                            id: site_sao
                            name: São Paulo
                            slug: SAO
              schema:
                $ref: '#/components/schemas/elastic_ip'
        '403':
          description: Forbidden
          content:
            application/vnd.api+json:
              examples:
                FeatureNotEnabled:
                  value:
                    errors:
                      - code: FEATURE_NOT_ENABLED
                        message: Elastic IPs is not enabled for this team
              schema:
                $ref: '#/components/schemas/error_object'
        '404':
          description: Not Found
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.elastic_ips.get_elastic_ip(elastic_ip_id="eip_KeQbB4BoO6x10")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.ElasticIps.GetElasticIP(ctx, \"eip_KeQbB4BoO6x10\")\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ElasticIP != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.elasticIps.getElasticIp({
                elasticIpId: "eip_KeQbB4BoO6x10",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    elastic_ip:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/elastic_ip_data'
        meta:
          type: object
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
    elastic_ip_data:
      type: object
      properties:
        id:
          type: string
          nullable: true
          description: The Elastic IP ID. May be null during initial provisioning.
        type:
          type: string
          enum:
            - elastic_ips
        attributes:
          type: object
          properties:
            address:
              type: string
              description: The IP address
            family:
              type: string
              enum:
                - IPv4
              description: The IP address family
            prefix_length:
              type: integer
              description: The prefix length (e.g., 32 for a single IP)
            mode:
              type: string
              enum:
                - routed
              description: The routing mode for this Elastic IP
            status:
              type: string
              enum:
                - configuring
                - active
                - moving
                - releasing
                - error
              description: The current status of the Elastic IP
            created_at:
              type: string
              format: date-time
              description: The timestamp when the Elastic IP was created
            server:
              type: object
              nullable: true
              description: The server this Elastic IP is assigned to
              properties:
                id:
                  type: string
                hostname:
                  type: string
                primary_ipv4:
                  type: string
                operating_system:
                  type: string
                  nullable: true
            project:
              type: object
              description: The project this Elastic IP belongs to
              properties:
                id:
                  type: string
                name:
                  type: string
                slug:
                  type: string
            region:
              type: object
              nullable: true
              description: The region where this Elastic IP is located
              properties:
                id:
                  type: string
                  description: The region ID
                name:
                  type: string
                  description: The region name
                location:
                  type: object
                  description: The site/location within the region
                  properties:
                    id:
                      type: string
                      description: The site ID
                    name:
                      type: string
                      description: The site name
                    slug:
                      type: string
                      description: The site slug
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````